#include <stdio.h>
#include <stdlib.h>

struct element{
int x;
int y;
};

int main()
 {
    int n;
    scanf("%d",&n);
    struct element a[n];
    for (int i=0;i<n-1;i++)
    {

        int x,y;
        scanf("%d%d",&x,&y);
        a[i].x=x;
        a[i].y=y;

    }
    int br=3;
    printf("%d",br);
 }